# PositionPropertyArray

#### new Cesium.PositionPropertyArray(value, referenceFrame)
DataSources/PositionPropertyArray.js 19

A `Property` whose value is an array whose items are the computed value of other PositionProperty instances.

Name | Type | Default | Description
--- | --- | --- | ---
`value` | Array.<Property> |  | optional An array of Property instances.
`referenceFrame` | ReferenceFrame | `ReferenceFrame.FIXED` | optional The reference frame in which the position is defined.

### Members

#### readonly definitionChanged : Event
DataSources/PositionPropertyArray.js 61

Gets the event that is raised whenever the definition of this property changes. The definition is changed whenever setValue is called with data different than the current value or one of the properties in the array also changes.

#### readonly isConstant : Boolean
DataSources/PositionPropertyArray.js 36

Gets a value indicating if this property is constant. This property is considered constant if all property items in the array are constant.

#### referenceFrame : ReferenceFrame
DataSources/PositionPropertyArray.js 72

Gets the reference frame in which the position is defined.

Default Value: `ReferenceFrame.FIXED;`

### Methods

#### equals(other) → Boolean
DataSources/PositionPropertyArray.js 175

Compares this property to the provided property and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`other` | Property | optional The other property.

##### Returns:

`true` if left and right are equal, `false` otherwise.

#### getValue(time, result) → Array.<Cartesian3>
DataSources/PositionPropertyArray.js 86

Gets the value of the property.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the value.
`result` | Array.<Cartesian3> | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter or a new instance if the result parameter was not supplied.

#### getValueInReferenceFrame(time, referenceFrame, result) → Array.<Cartesian3>
DataSources/PositionPropertyArray.js 98

Gets the value of the property at the provided time and in the provided reference frame.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the value.
`referenceFrame` | ReferenceFrame | The desired referenceFrame of the result.
`result` | Array.<Cartesian3> | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter or a new instance if the result parameter was not supplied.

#### setValue(value)
DataSources/PositionPropertyArray.js 145

Sets the value of the property.

Name | Type | Description
--- | --- | ---
`value` | Array.<Property> | An array of Property instances.